> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usegizmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/gizmo-sdk/openapi.documented.yml get /applications/{id}
openapi: 3.1.0
info:
  title: Gizmo
  description: Gizmo REST API
  version: 1.0.0
servers:
  - url: https://core.usegizmo.com/v1
    description: Gizmo Production API
security:
  - bearerAuth: []
paths:
  /applications/{id}:
    get:
      tags:
        - Application
      summary: Get Application
      operationId: getApplication
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: The retrieved Application
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Application'
        '400':
          description: Error getting Application
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Gizmo from '@gizmo-os/sdk';

            const client = new Gizmo({
              apiKey: process.env['GIZMO_API_KEY'], // This is the default and can be omitted
            });

            const application = await client.applications.retrieve('id');

            console.log(application.id);
        - lang: Python
          source: |-
            import os
            from gizmo_sdk import Gizmo

            client = Gizmo(
                api_key=os.environ.get("GIZMO_API_KEY"),  # This is the default and can be omitted
            )
            application = client.applications.retrieve(
                "id",
            )
            print(application.id)
components:
  schemas:
    Application:
      type: object
      properties:
        id:
          type: string
        orgId:
          $ref: '#/components/schemas/OrgId'
        createdAt:
          type: number
        updatedAt:
          type: number
        status:
          $ref: '#/components/schemas/Milestone'
        primaryBorrowerFirstName:
          type: string
        primaryBorrowerLastName:
          type: string
        primaryBorrowerEmail:
          type: string
        primaryBorrowerPhone:
          type: string
        primaryBorrowerDateOfBirth:
          type: string
        primaryBorrowerSsn:
          type: string
        subjectPropertyState:
          $ref: '#/components/schemas/State'
        subjectPropertyStreetAddress:
          type: string
        subjectPropertyCity:
          type: string
        subjectPropertyZip:
          type: string
        loanPurpose:
          $ref: '#/components/schemas/LoanPurpose'
        losId:
          type: string
        crmId:
          type: string
        leadProviderSlug:
          type: string
        teamId:
          type: string
      required:
        - id
        - orgId
        - createdAt
        - status
        - primaryBorrowerFirstName
        - primaryBorrowerLastName
        - primaryBorrowerEmail
        - primaryBorrowerPhone
        - subjectPropertyState
        - leadProviderSlug
      description: The Application object
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            data: {}
          required:
            - message
      required:
        - error
      description: Error response object
    OrgId:
      type: string
      minLength: 32
      maxLength: 32
    Milestone:
      type: string
      enum:
        - NEW
        - ATTEMPTED
        - CONTACTED
        - CREDIT_PULLED
        - PRE_APPROVED
        - APPLICATION
        - PROCESSING
        - SUBMITTAL
        - RESUBMITTAL
        - CONDITIONALLY_APPROVED
        - FINAL_APPROVED
        - DOCS_OUT
        - FUNDED
        - PURCHASED
        - COMPLETED
        - WITHDRAWN
        - DENIED
    State:
      type: string
      enum:
        - al
        - ak
        - az
        - ar
        - ca
        - co
        - ct
        - de
        - dc
        - fl
        - ga
        - hi
        - id
        - il
        - in
        - ia
        - ks
        - ky
        - la
        - me
        - md
        - ma
        - mi
        - mn
        - ms
        - mo
        - mt
        - ne
        - nv
        - nh
        - nj
        - nm
        - ny
        - nc
        - nd
        - oh
        - ok
        - or
        - pa
        - ri
        - sc
        - sd
        - tn
        - tx
        - ut
        - vt
        - va
        - wa
        - wv
        - wi
        - wy
      description: The two-letter state abbreviation in lowercase
    LoanPurpose:
      type: string
      enum:
        - purchase
        - refi
        - refiCashOut
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````